# Submit a Transaction

This endpoint actually submits a transaction to the Stellar network. It only takes a single, required parameter: the signed transaction. Refer to the Transactions page for details on how to craft a proper one. If you submit a transaction that has already been included in a ledger, this endpoint will return the same response as would’ve been returned for the original transaction submission. This allows for safe resubmission of transactions in error scenarios, as highlighted in the error-handling guide.

This method will use `20` [Compute Units](/v1/about/billing.md).

***

## Reference: [Here](https://developers.stellar.org/network/horizon/api-reference/resources/submit-a-transaction)

{% openapi src="/files/9L0w2HNyHURBIA6Y2MBg" path="/transactions" method="post" %}
[horizon-openapi\_vc.yml](https://1292504766-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FF3uvE671dWWOTAu9svnI%2Fuploads%2FZki9Dvj0W61fX9Jyhir7%2Fhorizon-openapi_vc.yml?alt=media\&token=e5961be6-b70d-4c20-8f54-996e04e8ac21)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/stellar/horizon-api/transactions/submit-a-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
